import { LTS } from "../../../../../pseuco-shared-components/lts/lts";
import { IsomorphismValidatorConfiguration, deterministicIsomorphismValidator } from "../../isomorphismValidation";
import { registerValidationWorkerCallback } from "../../validation";

import lts from "./lts.json";

const validatorConfiguration: IsomorphismValidatorConfiguration = {
    lts: lts as LTS
};

registerValidationWorkerCallback(deterministicIsomorphismValidator(validatorConfiguration), "ccs0omega");
