import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: true,
        sm: false
    },
    exerciseDescription: <div>
        <p>Write a pseuCo-MP program that prints <code>"Hello, World!"</code> by sending <code>"World"</code> on a synchronous channel to an agent that assembles and prints the greeting.</p>
    </div>,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
