import React from "react";
import { PseuCoProgrammingConfiguration } from "../../pseuCoProgramming";

const config: PseuCoProgrammingConfiguration = {
    allowedDialects: {
        mp: false,
        sm: false
    },
    exerciseDescription: <div>
        <p>Write a sequential pseuCo program that prints <code>"Hello, World!"</code> by calling a procedure <code>greeter()</code> with the argument <code>"World"</code>. <code>greeter()</code> should then print the greeting.</p>
    </div>,
    getWorker: () => new Worker(new URL('./worker.ts', import.meta.url))
};

export default config;
