import "./CenterOrShrinkGraphics.scss";
import React from "react";

const CenterOrShrinkGraphics: React.FC<React.PropsWithChildren<{ width: number }>> = ({ width, children }) => {
    return <div className="center-or-shrink-rails">
        <div className="center-or-shrink-container" style={{ width }}>
            { children }
        </div>
    </div>;
};

export default CenterOrShrinkGraphics;
